variables:
    GIT_STRATEGY: clone
stages:
    - linting
lint:
    stage: linting
    script:
        - >
            for SCRIPT in $(git diff --name-only $CI_COMMIT_BEFORE_SHA $CI_COMMIT_SHA | grep ".py$"); do
                python3 -m isort --diff -v $SCRIPT
                python3 -m black --diff $SCRIPT
                python3 -m flake8 -v --show-source --benchmark --exit-zero $SCRIPT
                python3 -m pylint $SCRIPT
            done
    only:
        changes:
            - project/*.py
